#! /bin/sh

# $1: building-tools directory to consider
# $2: srcdir
p="$1"
if [ -r "${p}/VERSION" ]; then
    VERSION="`cat ${p}/VERSION`"
else
    exit 1
fi

srcdir="$2"
if [ "x${srcdir}" != "x" ]; then
    svn info "${srcdir}" > /dev/null
    rc=$?
    if [ ${rc} = 0 ]; then
	svn="+r`svnversion ${srcdir}`"
    fi
fi

# strip newline for m4 parsing
echo "${VERSION}${svn}" | tr '\n' ' '
