#! /usr/bin/env -S Rscript --no-save

suppressWarnings(suppressMessages(library(tidyr)))
args <- commandArgs(trailingOnly=TRUE)
for(i in 1: length(args)){
file <- args[i];
df[i] <-  read.table(file,header=FALSE)
df[i] <- extract(df[1],V1, c("theoretical"), "\\[([[:digit:]]+)-([[:digit:]]+)-([[:digit:]]+\\.[[:digit:]]+)\\]", convert=TRUE)
df[i]$theoretical <- as.factor(df[i]$theoretical)
}
ggplot(data=df[i], aes(x=df[i]$theoretical,y=df[i]$V2)) + geom_col()


